summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Lockywolf <for_sbo.ospray_2024-03-02@lockywolf.net>2024-03-20 19:58:20 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-03-20 16:47:20 +0700
commit9b123a778d6365e25b5b620605dc0f12c0ca907a (patch)
tree4cab3990af2cccc7fadd7a8fea4a9fb7f8be6a1f /libraries
parent3159dc924e961694ffe1aa99c460bba6be1aed77 (diff)
downloadslackbuilds-9b123a778d6365e25b5b620605dc0f12c0ca907a.tar.gz
slackbuilds-9b123a778d6365e25b5b620605dc0f12c0ca907a.tar.xz
libraries/ospray_studio: Added (interactive visualization and ray tracing application).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/ospray_studio/README18
-rw-r--r--libraries/ospray_studio/ospray_studio.SlackBuild121
-rw-r--r--libraries/ospray_studio/ospray_studio.info10
-rw-r--r--libraries/ospray_studio/slack-desc19
4 files changed, 168 insertions, 0 deletions
diff --git a/libraries/ospray_studio/README b/libraries/ospray_studio/README
new file mode 100644
index 0000000000..4603cb5980
--- /dev/null
+++ b/libraries/ospray_studio/README
@@ -0,0 +1,18 @@
+Intel OSPRay Studio is an open source and interactive visualization and
+ray tracing application that leverages Intel OSPRay as its core
+rendering engine. It can be used to load complex scenes requiring high
+fidelity rendering or very large scenes requiring supercomputing
+resources.
+
+The main control structure is a scene graph which allows users to
+create an abstract scene in a directed acyclical graph manner. Scenes
+can either be imported or created using scene graph nodes and structure
+support. The scenes can then be rendered either with OSPRay's
+pathtracer or scivis renderer.
+
+In this build, support for Intel Open Image Denoise, OpenVDB,
+OpenImageIO and OpenEXR is _not_ implemented.
+
+Slackware-15.0 OpenEXR is, seemingly too low.
+
+Patches are welcome.
diff --git a/libraries/ospray_studio/ospray_studio.SlackBuild b/libraries/ospray_studio/ospray_studio.SlackBuild
new file mode 100644
index 0000000000..ee824a83d5
--- /dev/null
+++ b/libraries/ospray_studio/ospray_studio.SlackBuild
@@ -0,0 +1,121 @@
+#!/bin/bash
+
+# Slackware build script for ospray_studio
+
+# Copyright 2024
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ospray_studio
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
+
+sed -i 's/set(BENCHMARK_VERSION 1.8.3)/set(BENCHMARK_VERSION 1.8.0)/g' ./cmake/benchmark.cmake
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_CXX_COMPILER_LAUNCHER=ccache \
+ -DCMAKE_C_COMPILER_LAUNCHER=ccache \
+ -DGLFW_VERSION=3.3.8 \
+ -DOSPRAY_INSTALL=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+CHANGELOG.md SECURITY.md FEATURES.md LICENSE.txt README.md docs \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/usr/share/doc/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -rf $PKG/usr/share/doc
+rmdir $PKG/usr/share
+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/ospray_studio/ospray_studio.info b/libraries/ospray_studio/ospray_studio.info
new file mode 100644
index 0000000000..0e24539ceb
--- /dev/null
+++ b/libraries/ospray_studio/ospray_studio.info
@@ -0,0 +1,10 @@
+PRGNAM="ospray_studio"
+VERSION="1.0.0"
+HOMEPAGE="https://www.ospray.org/ospray_studio/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/ospray/ospray_studio/archive/v1.0.0/ospray_studio-1.0.0.tar.gz"
+MD5SUM_x86_64="8b8f74529303ef167fc403d6290fe3d4"
+REQUIRES="ospray pybind11"
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.ospray_2024-03-02@lockywolf.net"
diff --git a/libraries/ospray_studio/slack-desc b/libraries/ospray_studio/slack-desc
new file mode 100644
index 0000000000..99ac053188
--- /dev/null
+++ b/libraries/ospray_studio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ospray_studio: ospray_studio (application to showcase OSPRay rendering capabilities)
+ospray_studio:
+ospray_studio: Intel OSPRay Studio is an open source and interactive visualization
+ospray_studio: and ray tracing application that leverages Intel OSPRay as its core
+ospray_studio: rendering engine. It can be used to load complex scenes requiring
+ospray_studio: high fidelity rendering or very large scenes requiring
+ospray_studio: supercomputing resources. The main control structure is a scene graph
+ospray_studio: which allows users to create an abstract scene in a directed
+ospray_studio: acyclical graph manner. Scenes can either be imported or created
+ospray_studio: using scene graph nodes and structure support.
+ospray_studio: